Skip site navigation (1) Skip section navigation (2)

Re: pgagent 3.0.1

From: Florent THOMAS <mailinglist(at)tdeo(dot)fr>
To: Ashesh Vashi <ashesh(dot)vashi(at)enterprisedb(dot)com>
Cc: pgadmin-support <pgadmin-support(at)postgresql(dot)org>
Subject: Re: pgagent 3.0.1
Date: 2010-01-04 09:35:46
Message-ID: 1262597746.27849.31.camel@Dell_Inspiron (view raw or flat)
Thread:
Lists: pgadmin-support
Thanks for the info.

I ran this command 
 ldd -v /usr/bin/pgagent 
	linux-gate.so.1 =>  (0xffffe000)
	libssl.so.0 => not found
	libcrypto.so.0 => not found
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb776b000)
	libz.so.1 => /lib/libz.so.1 (0xb7757000)
	libdl.so.2 => /lib/libdl.so.2 (0xb7753000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7661000)
	libm.so.6 => /lib/i686/libm.so.6 (0xb763b000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb762d000)
	libpthread.so.0 => /lib/i686/libpthread.so.0 (0xb7615000)
	libc.so.6 => /lib/i686/libc.so.6 (0xb74c7000)
	/lib/ld-linux.so.2 (0xb77d9000)

I searched in my repositories but unfortunately I didn't found a match
result for those file.

I found libssl.so.0.9.8 and libcrypto.so.0. How can I do to replace the
missing libraries by those I found?

By the way I receive your email in 2 exemplaries.

Best regards


Le lundi 04 janvier 2010 à 14:48 +0530, Ashesh Vashi a écrit :

> The actual problem is - there're some libraries are not available on
> your system or not in ldconfig.
> You can use 'ldd' utility of linux to check the dependent libraries of
> an executable/library.
> 
> 
> 
> On Mon, Jan 4, 2010 at 2:46 PM, Florent THOMAS <mailinglist(at)tdeo(dot)fr>
> wrote:
> 
>         Actually,
>         
>         I retried to install the pgagent and I have this problem in
>         config :
>         CMake Error at cmake/FindWX.cmake:271 (MESSAGE):
>            The selected wxWidgets configuration (version: 2.8, debug:
>         no, static: yes,
>            unicode: yes, modules: base) is not available.
>         Call Stack (most recent call first):
>            CMakeLists.txt:91 (FIND_PACKAGE)
>         
>         I browsed some forums or archives and I tried to comment some
>         lines that are supposed to cause problems.
>         I also tried to install wxWidgets unsuccessfully 
>         
>         
>         
>         
>         Le lundi 04 janvier 2010 à 14:09 +0530, Ashesh Vashi a écrit :
>         
>         > 
>         > How did you install pgagent?
>         > 
>         > 
>         > 
>         > 
>         > --
>         > Ashesh Vashi
>         > EnterpriseDB INDIA - Enterprise Postgres Company
>         > 
>         > 
>         
>         > On Mon, Jan 4, 2010 at 1:59 PM, Florent THOMAS
>         > <mailinglist(at)tdeo(dot)fr> wrote:
>         > 
>         >         Hello everybody,
>         >         
>         >         I wish you an appear new year.
>         >         I run on mandriva 2009.0 and I hav a problem with
>         >         the installation.
>         >         I installed pgagent by compiling and as I try to run
>         >         the agent I have this message : 
>         >         "/usr/bin/pgagent: error while loading shared
>         >         libraries: libssl.so.0: cannot open shared object
>         >         file: No such file or directory"
>         >         I surch into my repositories and didn't find such a
>         >         file.
>         >         Is it normal, Have I a problem with my install?
>         >         
>         >         A little help on this would be appreciate,
>         >         
>         >         Best regards
>         >         
>         >         
>         > 
>         > 
> 
> 

In response to

Responses

pgadmin-support by date

Next:From: Ashesh VashiDate: 2010-01-04 09:38:45
Subject: Re: pgagent 3.0.1
Previous:From: Ashesh VashiDate: 2010-01-04 09:18:26
Subject: Re: pgagent 3.0.1

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group